org.eclipse.viatra.query.runtime.localsearch.profiler

## Class LocalSearchProfilerAdapter

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.profiler.LocalSearchProfilerAdapter

- All Implemented Interfaces:
    ILocalSearchAdapter

      public class LocalSearchProfilerAdapter
      extends java.lang.Object
      implements ILocalSearchAdapter

  This is a simple `ILocalSearchAdapter` which capable of counting each search operation execution then printing it in human readably form (along with the executed plans) using `toString()`
  Since:
    1.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchProfilerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `operationExecuted(SearchPlan plan, ISearchOperation operation, MatchingFrame frame, boolean isSuccessful)` Callback method to indicate that an operation is executed
    `void` | `patternMatchingStarted(LocalSearchMatcher lsMatcher)` Callback method to indicate the start of a matching process
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.localsearch.matcher.ILocalSearchAdapter

      `adapterRegistered, adapterUnregistered, duplicateMatchFound, executorInitializing, matchFound, noMoreMatchesAvailable, operationSelected, planChanged`

- - ### Constructor Detail

    - #### LocalSearchProfilerAdapter

          public LocalSearchProfilerAdapter()

  - ### Method Detail

    - #### patternMatchingStarted

          public void patternMatchingStarted(LocalSearchMatcher lsMatcher)

      Description copied from interface: `ILocalSearchAdapter`
      Callback method to indicate the start of a matching process
      Specified by:
        `patternMatchingStarted` in interface `ILocalSearchAdapter`
      Parameters:
        `lsMatcher` - the local search matcher that starts the matching

    - #### operationExecuted

          public void operationExecuted(SearchPlan plan,
                                        ISearchOperation operation,
                                        MatchingFrame frame,
                                        boolean isSuccessful)

      Description copied from interface: `ILocalSearchAdapter`
      Callback method to indicate that an operation is executed
      Specified by:
        `operationExecuted` in interface `ILocalSearchAdapter`
      Parameters:
        `plan` - the current plan
        `frame` - the current matching frame
        `isSuccessful` - if true, the operation executed successfully, or false if the execution failed and backtracking will happen

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`